Subject: [mpls] [MPLS] A doubt about RFC 6428

From: Alan Davey <[email-masked]>
Date: Fri, 3 May 2013 16:29:19 +0000

Folks

I have a doubt about RFC 6428.  Could you please let me know what you think of the following.

Section 3.7.4.2., Exit from a Mis-Connectivity Defect, states that "Exit from a mis-connectivity defect state occurs when no CV messages with mis-connectivity defects have been received for a period of 3.5 seconds".

However, the State Machines in section 3.7.5 have no input corresponding to an "Exit from a Mis-Connectivity Defect" timer pop.  (Although they do have a MIS-CONNECTIVITY input added by RFC 6428.)  If the State Machine is followed then Down state is exited as soon as the remote system signals Down state.

Should the State Machines be modified such that Down state following a MIS-CONNECTIVITY input is only exited after an "Exit from a Mis-Connectivity Defect" timer pop input or am I missing something?

Regards
Alan Davey

Network Technologies
Metaswitch Networks

[email-masked]<mailto:[email-masked]>
+44 (0) 20 8366 1177
network-technologies.metaswitch.com<http://network-technologies.metaswitch.com/>

---

From: David Allan I <[email-masked]>
Date: Fri, 3 May 2013 17:34:56 +0000

Hi Alan:

It is kind of implied, as in "received DOWN while NOT in a misconnectivity state". I'm not sure adding that to the state machine diagram would actually improve the clarity....I'll let others comment.

cheers
Dave

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alan Davey
Sent: Friday, May 03, 2013 9:29 AM
To: [email-masked]
Cc: [email-masked]
Subject: [mpls] [MPLS] A doubt about RFC 6428

Folks

Regards
Alan Davey

Network Technologies
Metaswitch Networks

---

From: Alan Davey <[email-masked]>
Date: Thu, 9 May 2013 10:59:00 +0000

Hi Dave

Thank you very much for getting back to me so quickly.  I have a further question on RFC 6428 if you have another minute.

In section 3.5.3,  PW End Point MEP-ID, I think that the text defining the Length field is confusing because it is not clear if the length includes the AGI.  The text is currently as follows.

  The length is the length of the following data: the Global_ID, Node Identifier, and Attachment
   Circuit ID (AC_ID) are as per [9].

Am I correct in thinking that the Length field  is the length of the value fields, as for the Section MEP-ID in section 3.5.1 and the LSP MEP-ID in section 3.5.2?  That is, should the text read as follows.

  The length is the length of the value fields.  The Global_ID, Node Identifier, and Attachment
   Circuit ID (AC_ID) are as per [9].

Thanks
Alan

From: David Allan I [mailto:[email-masked]]
Sent: 03 May 2013 18:35
To: Alan Davey; [email-masked]
Cc: [email-masked]
Subject: RE: [MPLS] A doubt about RFC 6428

Hi Alan:

cheers
Dave

________________________________
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Alan Davey
Sent: Friday, May 03, 2013 9:29 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [mpls] [MPLS] A doubt about RFC 6428
Folks

Regards
Alan Davey

Network Technologies
Metaswitch Networks

---

From: David Allan I <[email-masked]>
Date: Mon, 13 May 2013 19:57:44 +0000

It is all in how you interpret "The length is the length of the following data."  Which is referring to the diagram above (e.g. the colon below is your addition), and then goes on to tells you how to find the less-obvious fields.

If it said "The length is the length of the data following the length field"... it would be clearer.

Dave

________________________________
From: Alan Davey [mailto:[email-masked]]
Sent: Thursday, May 09, 2013 3:59 AM
To: David Allan I
Cc: [email-masked]
Subject: RE: [MPLS] A doubt about RFC 6428

Hi Dave

Thanks
Alan

Hi Alan:

cheers
Dave

Regards
Alan Davey

Network Technologies
Metaswitch Networks

---

From: Alan Davey <[email-masked]>
Date: Tue, 21 May 2013 08:23:35 +0000

Hi Dave

Thank you for your response.  I think that it is worth raising an erratum for section 3.5.3 because the current text is confusing (note that the colon is in the RFC text).  Do you agree?

I propose the following.

Section 3.5.3

Original text:

   The length is the length of the
   following data: the Global_ID, Node Identifier, and Attachment
   Circuit ID (AC_ID) are as per [9].

Corrected text:

   The length is the length of the data following the length field.
   The Global_ID, Node Identifier, and Attachment
   Circuit ID (AC_ID) are as per [9].

Thanks
Alan

Sent: 13 May 2013 20:58
To: Alan Davey

Dave

Thanks
Alan

From: David Allan I [mailto:[email-masked]]
Sent: 03 May 2013 18:35
To: Alan Davey; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: [MPLS] A doubt about RFC 6428

Hi Alan:

cheers
Dave

Regards
Alan Davey

Network Technologies
Metaswitch Networks

---

From: David Allan I <[email-masked]>
Date: Tue, 21 May 2013 13:50:53 +0000

I agree with your proposed change.

cheers
Dave

________________________________
From: Alan Davey [mailto:[email-masked]]
Sent: Tuesday, May 21, 2013 1:24 AM
To: David Allan I
Cc: [email-masked]
Subject: RE: [MPLS] A doubt about RFC 6428

Hi Dave

I propose the following.

Section 3.5.3

Original text:

Corrected text:

Thanks
Alan

Dave

Thanks
Alan

Hi Alan:

cheers
Dave

Regards
Alan Davey

Network Technologies
Metaswitch Networks

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 21 May 2013 16:11:52 +0000

Dear Alan, et al.,

may I suggest minor modification by capitalizing Length to the proposed Corrected text:

The Length is the length of the data following the Length field. The Global_ID, Node Identifier, and Attachment Circuit ID (AC_ID) are as per [9].

    Regards,

        Greg

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alan Davey
Sent: Tuesday, May 21, 2013 1:24 AM
To: David Allan I
Cc: [email-masked]
Subject: Re: [mpls] [MPLS] A doubt about RFC 6428

Hi Dave

I propose the following.

Section 3.5.3

Original text:

Corrected text:

Thanks
Alan

Dave

Thanks
Alan

Hi Alan:

cheers
Dave

Regards
Alan Davey

Network Technologies
Metaswitch Networks